# Story Approved Workflow (DEV Agent)
name: story-approved
description: "Marks a story as done (DoD complete) and moves it from IN PROGRESS → DONE in the status file. Advances the story queue. Simple status-update workflow with no searching required."
author: "BMad"

# Critical variables from config
config_source: "{project-root}/bmad/bmm/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
communication_language: "{config_source}:communication_language"
date: system-generated

# Workflow components
installed_path: "{project-root}/bmad/bmm/workflows/4-implementation/story-approved"
instructions: "{installed_path}/instructions.md"

# Variables and inputs
variables:
  story_dir: "{config_source}:dev_story_location" # Directory where stories are stored
  status_file: "{output_folder}/bmm-workflow-status.md" # Status file to update
  auto_update_status: true # Always update status file

# Output configuration - no output file, just status updates
default_output_file: ""

required_tools:
  - read_file
  - edit_file

tags:
  - story-management
  - status-update
  - dev-agent
  - bmad-v6

execution_hints:
  interactive: false # Minimal prompts; quick status update
  autonomous: true # Proceed without user input
  iterative: false # Single-pass workflow
